Bug 256578 - games/linux-steam-utils: update to 20210613
Summary: games/linux-steam-utils: update to 20210613
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rainer Hurling
URL: https://github.com/shkhln/linuxulator...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-06-13 15:08 UTC by Alex S
Modified: 2021-06-14 18:42 UTC (History)
1 user (show)

See Also:


Attachments
20210613 update (3.02 KB, patch)
2021-06-13 15:08 UTC, Alex S
iwtcex: maintainer-approval+
Details | Diff
20210613 update v2 (3.02 KB, patch)
2021-06-14 01:11 UTC, Alex S
iwtcex: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alex S 2021-06-13 15:08:07 UTC
Created attachment 225770 [details]
20210613 update

Most notably, this fixes a login issue with the 2021-06-07 update of the Steam client.
Comment 1 Rainer Hurling freebsd_committer 2021-06-13 19:01:46 UTC
Hi Alex,

It seems there is a problem with the distfiles size:


#make
===>  License MIT accepted by the user
===>   linux-steam-utils-20210613 depends on file: /usr/local/sbin/pkg - found
=> shkhln-linuxulator-steam-utils-20210613_GH0.tar.gz doesn't seem to exist in /poudriere/ports/default/distfiles/.
=> Attempting to fetch https://codeload.github.com/shkhln/linuxulator-steam-utils/tar.gz/20210613?dummy=/shkhln-linuxulator-steam-utils-20210613_GH0.tar.gz
fetch: https://codeload.github.com/shkhln/linuxulator-steam-utils/tar.gz/20210613?dummy=/shkhln-linuxulator-steam-utils-20210613_GH0.tar.gz: size unknown
fetch: https://codeload.github.com/shkhln/linuxulator-steam-utils/tar.gz/20210613?dummy=/shkhln-linuxulator-steam-utils-20210613_GH0.tar.gz: size of remote file is not known
shkhln-linuxulator-steam-utils-20210613_GH0.ta          17 kB  563 kBps    00s
=> Fetched file size mismatch (expected 18291, actual 18289)
=> Trying next site
=> Attempting to fetch http://distcache.FreeBSD.org/ports-distfiles/shkhln-linuxulator-steam-utils-20210613_GH0.tar.gz
fetch: http://distcache.FreeBSD.org/ports-distfiles/shkhln-linuxulator-steam-utils-20210613_GH0.tar.gz: Not Found
=> Couldn't fetch it - please try to retrieve this
=> port manually into /poudriere/ports/default/distfiles/ and try again.
*** Error code 1
Comment 2 Alex S 2021-06-14 01:11:21 UTC
Created attachment 225788 [details]
20210613 update v2

Right. Moved tag to a different commit and forgot about cleaning distfiles.
Comment 3 commit-hook freebsd_committer 2021-06-14 18:41:26 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=9737ff068d5ebbc92db6c0be4c02549e92790cad

commit 9737ff068d5ebbc92db6c0be4c02549e92790cad
Author:     Rainer Hurling <rhurlin@FreeBSD.org>
AuthorDate: 2021-06-14 18:37:26 +0000
Commit:     Rainer Hurling <rhurlin@FreeBSD.org>
CommitDate: 2021-06-14 18:37:26 +0000

    games/linux-steam-utils: Update to 20210613

    Changelog: https://github.com/shkhln/linuxulator-steam-utils/compare/20210425...20210613

    PR:             256578
    Reported by:    Alex S <iwtcex@gmail.com> (maintainer)

 games/linux-steam-utils/Makefile    | 6 +++---
 games/linux-steam-utils/distinfo    | 6 +++---
 games/linux-steam-utils/pkg-message | 9 +++++----
 games/linux-steam-utils/pkg-plist   | 3 +--
 4 files changed, 12 insertions(+), 12 deletions(-)
Comment 4 Rainer Hurling freebsd_committer 2021-06-14 18:42:15 UTC
Committed, thanks :)